package com.vctgo.file.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.file.domain.FileAshInfo;

/**
 * 文件回收站基本信息Service接口
 *
 * @author caesar
 * @date 2024-02-26
 */
public interface IFileAshInfoService {

    /**
     * 分页
     */
    IPage<FileAshInfo> getFileAshPage(FileAshInfo fileAshInfo);

    /**
     * 批量彻底删除
     */
    void doBatchRemoveFile(String ids);

    /**
     * 批量恢复
     */
    void doBatchRecoverFile(String ids);
}
